import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Создаются круги взрыва после уничтожения врага.
 * 
 * @author (Гладкий Роман & Маркин Борис)
 * @version (v0.7 Beta - 28.06.18)
 */
public class Circle extends Actor
{
    /**
     * Act - do whatever the Bundaran wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    
    private int delay;
    
    public void addedToWorld(World Space)
    {
        GreenfootImage image = new GreenfootImage(100,100);
        image.setColor(new Color(255, 255, 0, 180));
        image.fillOval(0, 0, image.getWidth() - 1, image.getHeight() -1);
        image.fillOval(20, 20, image.getWidth() - 41, image.getHeight() -41);
        setImage(image);
        delay = 5;
    }
    
    public void act() 
    {
        if(delay > 0)
        {
            delay--;
        }
        else
        {
            getWorld().removeObject(this);
        }
    }    
}
