import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Создание и генерация оскорлков при уничтожении как Игрока, так и вражеского корабля.
 * 
 * @author (Гладкий Роман & Маркин Борис) 
 * @version (v0.7 Beta - 28.06.18)
 */
public class Fraction extends Actor
{
    /**
     * Act - do whatever the Pecahan wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    
    public int vx = 0, vy = 0, rot = 0;
    
    public Fraction(GreenfootImage img)
    {
        GreenfootImage image = new GreenfootImage(10,10);
        image.drawImage(img, -Greenfoot.getRandomNumber(img.getWidth()), -Greenfoot.getRandomNumber(img.getHeight()));
        setImage(image);
    }
    
    public void addedToWorld(World Space)
    {
        vx = -5 + Greenfoot.getRandomNumber(10);
        vy = -5 + Greenfoot.getRandomNumber(10);
        rot = -10 + Greenfoot.getRandomNumber(20);
        if(vx == 0)vx = 1;
        if(vy == 0)vy = 1;
    }
    
    public void act() 
    {
        setLocation(getX() + vx, getY() + vy);
        setRotation(getRotation() + rot);
        if(getX() < -100 || getY() < -100 || getX() > getWorld().getWidth() + 100 || getY() > getWorld().getHeight() + 100)
        {
            getWorld().removeObject(this); // Fraction removed
        }
    }    
}
