import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Класс Космос. В этом классе создается весь игровой Мир.
 * Здесь мы можем задать размер игрового поля,
 * а также частосту появления вражеских кораблей и их скорость полета.
 * 
 * @author (Гладкий Роман & Маркин Борис)
 * @version (v0.7 Beta - 28.06.18)
 */
public class Space extends World
{
    Counter counter = new Counter();
    private int ship = 0;
   
    public Space()
    {    
        // Create a new world with 890x590 cells with a cell size of 1x1 pixels.
        super(890, 590, 1, false);
        
        addObject(new Player(), 100, 200);
        addObject(counter, 450, 40);
    }
    
    public Counter getCounter()
    {
        return counter;
    }
    
    public void act()
    {
        if(ship > 0)
        {
            ship--;
        }
        else
        {
            ship = 30;
        }
        if(ship == 1) // Every 31 passes a new ship is created
        {
            int height = Greenfoot.getRandomNumber(getHeight());
            addObject(new Enemy(-(2 + Greenfoot.getRandomNumber(3))), getWidth() + 50, height);
        }
    }
}
